clay-0.15.0: CSS preprocessor as embedded Haskell.

Safe Haskell | None
Language | Haskell2010

Clay.Flexbox

Synopsis

- class FlexEnd a where
  - flexEnd :: a
- class FlexStart a where
  - flexStart :: a
- class SpaceAround a where
  - spaceAround :: a
- class SpaceBetween a where
  - spaceBetween :: a
- class SpaceEvenly a where
  - spaceEvenly :: a
- class Stretch a where
  - stretch :: a
- newtype AlignContentValue = AlignContentValue Value
- alignContent :: AlignContentValue -> Css
- newtype AlignItemsValue = AlignItemValue Value
- alignItems :: AlignItemsValue -> Css
- newtype AlignSelfValue = AlignSelfValue Value
- alignSelf :: AlignSelfValue -> Css
- flex :: Int -> Int -> Size b -> Css
- flexBasis :: Size a -> Css
- newtype FlexDirection = FlexDirection Value
- row :: FlexDirection
- rowReverse :: FlexDirection
- column :: FlexDirection
- columnReverse :: FlexDirection
- flexDirection :: FlexDirection -> Css
- flexFlow :: FlexDirection -> FlexWrap -> Css
- flexGrow :: Int -> Css
- flexShrink :: Int -> Css
- newtype FlexWrap = FlexWrap Value
- nowrap :: FlexWrap
- wrap :: FlexWrap
- wrapReverse :: FlexWrap
- flexWrap :: FlexWrap -> Css
- newtype JustifyContentValue = JustifyContentValue Value
- justifyContent :: JustifyContentValue -> Css
- order :: Int -> Css

# Documentation

class FlexEnd a where #

CSS Flexible Box Layout http://dev.w3.org/csswg/css-flexbox-1

Methods

flexEnd :: a #

#### Instances

Instances details

FlexEnd AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods flexEnd :: AlignContentValue #
FlexEnd AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods flexEnd :: AlignItemsValue #
FlexEnd AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods flexEnd :: AlignSelfValue #
FlexEnd JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods flexEnd :: JustifyContentValue #
FlexEnd Value # |
Instance details Defined in Clay.Flexbox Methods flexEnd :: Value #

class FlexStart a where #

Methods

flexStart :: a #

#### Instances

Instances details

FlexStart AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods flexStart :: AlignContentValue #
FlexStart AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods flexStart :: AlignItemsValue #
FlexStart AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods flexStart :: AlignSelfValue #
FlexStart JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods flexStart :: JustifyContentValue #
FlexStart Value # |
Instance details Defined in Clay.Flexbox Methods flexStart :: Value #

class SpaceAround a where #

Methods

spaceAround :: a #

#### Instances

Instances details

SpaceAround AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceAround :: AlignContentValue #
SpaceAround JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceAround :: JustifyContentValue #
SpaceAround Value # |
Instance details Defined in Clay.Flexbox Methods spaceAround :: Value #

class SpaceBetween a where #

Methods

spaceBetween :: a #

#### Instances

Instances details

SpaceBetween AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceBetween :: AlignContentValue #
SpaceBetween JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceBetween :: JustifyContentValue #
SpaceBetween Value # |
Instance details Defined in Clay.Flexbox Methods spaceBetween :: Value #

class SpaceEvenly a where #

Methods

spaceEvenly :: a #

#### Instances

Instances details

SpaceEvenly AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceEvenly :: AlignContentValue #
SpaceEvenly JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceEvenly :: JustifyContentValue #
SpaceEvenly Value # |
Instance details Defined in Clay.Flexbox Methods spaceEvenly :: Value #

class Stretch a where #

Methods

stretch :: a #

#### Instances

Instances details

Stretch AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods stretch :: AlignContentValue #
Stretch AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods stretch :: AlignItemsValue #
Stretch AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods stretch :: AlignSelfValue #
Stretch Value # |
Instance details Defined in Clay.Flexbox Methods stretch :: Value #

newtype AlignContentValue #

Constructors

AlignContentValue Value |

#### Instances

Instances details

Center AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods center :: AlignContentValue #
Inherit AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods inherit :: AlignContentValue #
Other AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods other :: Value -> AlignContentValue #
FlexEnd AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods flexEnd :: AlignContentValue #
FlexStart AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods flexStart :: AlignContentValue #
SpaceAround AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceAround :: AlignContentValue #
SpaceBetween AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceBetween :: AlignContentValue #
SpaceEvenly AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceEvenly :: AlignContentValue #
Stretch AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods stretch :: AlignContentValue #
Val AlignContentValue # |
Instance details Defined in Clay.Flexbox Methods value :: AlignContentValue -> Value #

alignContent :: AlignContentValue -> Css #

newtype AlignItemsValue #

Constructors

AlignItemValue Value |

#### Instances

Instances details

Baseline AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods baseline :: AlignItemsValue #
Center AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods center :: AlignItemsValue #
Inherit AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods inherit :: AlignItemsValue #
Other AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods other :: Value -> AlignItemsValue #
FlexEnd AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods flexEnd :: AlignItemsValue #
FlexStart AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods flexStart :: AlignItemsValue #
Stretch AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods stretch :: AlignItemsValue #
Val AlignItemsValue # |
Instance details Defined in Clay.Flexbox Methods value :: AlignItemsValue -> Value #

alignItems :: AlignItemsValue -> Css #

newtype AlignSelfValue #

Constructors

AlignSelfValue Value |

#### Instances

Instances details

Auto AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods auto :: AlignSelfValue #
Baseline AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods baseline :: AlignSelfValue #
Center AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods center :: AlignSelfValue #
Inherit AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods inherit :: AlignSelfValue #
Other AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods other :: Value -> AlignSelfValue #
FlexEnd AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods flexEnd :: AlignSelfValue #
FlexStart AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods flexStart :: AlignSelfValue #
Stretch AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods stretch :: AlignSelfValue #
Val AlignSelfValue # |
Instance details Defined in Clay.Flexbox Methods value :: AlignSelfValue -> Value #

alignSelf :: AlignSelfValue -> Css #

flex :: Int -> Int -> Size b -> Css #

flexBasis :: Size a -> Css #

newtype FlexDirection #

Constructors

FlexDirection Value |

#### Instances

Instances details

Other FlexDirection # |
Instance details Defined in Clay.Flexbox Methods other :: Value -> FlexDirection #
Val FlexDirection # |
Instance details Defined in Clay.Flexbox Methods value :: FlexDirection -> Value #

row :: FlexDirection #

rowReverse :: FlexDirection #

column :: FlexDirection #

columnReverse :: FlexDirection #

flexDirection :: FlexDirection -> Css #

flexFlow :: FlexDirection -> FlexWrap -> Css #

flexGrow :: Int -> Css #

flexShrink :: Int -> Css #

newtype FlexWrap #

Constructors

FlexWrap Value |

#### Instances

Instances details

Other FlexWrap # |
Instance details Defined in Clay.Flexbox Methods other :: Value -> FlexWrap #
Val FlexWrap # |
Instance details Defined in Clay.Flexbox Methods value :: FlexWrap -> Value #

nowrap :: FlexWrap #

wrap :: FlexWrap #

wrapReverse :: FlexWrap #

flexWrap :: FlexWrap -> Css #

newtype JustifyContentValue #

Constructors

JustifyContentValue Value |

#### Instances

Instances details

Center JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods center :: JustifyContentValue #
Inherit JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods inherit :: JustifyContentValue #
Other JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods other :: Value -> JustifyContentValue #
FlexEnd JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods flexEnd :: JustifyContentValue #
FlexStart JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods flexStart :: JustifyContentValue #
SpaceAround JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceAround :: JustifyContentValue #
SpaceBetween JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceBetween :: JustifyContentValue #
SpaceEvenly JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods spaceEvenly :: JustifyContentValue #
Val JustifyContentValue # |
Instance details Defined in Clay.Flexbox Methods value :: JustifyContentValue -> Value #

justifyContent :: JustifyContentValue -> Css #

order :: Int -> Css #